QTESTSIGN.PY(1)

NAME
qtestsign.py - tool to sign Qualcomm ELF firmware images with test keys

DESCRIPTION
usage: qtestsign.py [-h] [-v {3,5,6,7}] [-o OUTPUT]

{sbl1,mba,modem,prog,adsp,devcfg,tz,aboot,uefi,rpm,tz-app,wcnss,venus,wlanmdsp,gpu,hyp,cdsp,slpi,abl,ipa,cmnlib,shrm,aop,multi-image,multi-image-qti,qup,xbl-config,cpucp,aop-devcfg,xbl-ramdump,cdsp1,modem-dtb,cdsp-dtb,adsp-dtb,gpdsp0,gpdsp1,av1,kernel}
    elf

"Sign" Qualcomm firmware using a dummy certificate chain. NOTE: The image format is only partially implemented. There is actually no signature generated! This works only for devices that have firmware secure boot disabled. Most Qualcomm devices available in production have firmware secure boot permanently enabled (with no way to disable it). They will fail to boot when flashing modified firmware!

  positional arguments:

{sbl1,mba,modem,prog,adsp,devcfg,tz,aboot,uefi,rpm,tz-app,wcnss,venus,wlanmdsp,gpu,hyp,cdsp,slpi,abl,ipa,cmnlib,shrm,aop,multi-image,multi-image-qti,qup,xbl-config,cpucp,aop-devcfg,xbl-ramdump,cdsp1,modem-dtb,cdsp-dtb,adsp-dtb,gpdsp0,gpdsp1,av1,kernel}
    Firmware type (for SW_ID)

elf ELF image to sign

  options:

-h, --help
    show this help message and exit

-v, --version {3,5,6,7}
    MBN header version. Must be set correctly depending on the target chipset. See README for details.

-o, --output OUTPUT
    Output file